"""pipeline hook event table

Revision ID: 98f95f1737e3
Revises: ff51a24c371b
Create Date: 2020-03-15 09:35:42.273935

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '98f95f1737e3'
down_revision = 'ff51a24c371b'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('pipeline_hook_event',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('date', sa.DateTime(), nullable=False),
    sa.Column('pipeline_hook_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['pipeline_hook_id'], ['pipeline_hook.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('pipeline_hook_id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('pipeline_hook_event')
    # ### end Alembic commands ###
